# Docs For Class lamSmbDomainList

lists

# Class: lamSmbDomainList

Source Location: /lib/types/smbDomain.inc

### Class Overview

    lamList
       |
       --lamSmbDomainList

Generates the list view.

#### Author(s):

- Roland Gruber

### Methods

- lamSmbDomainList

### Inherited Variables

#### Class: lamList

lamList::$attrArray
lamList::$descArray
lamList::$entries
lamList::$filterText
lamList::$labels
lamList::$maxPageEntries
lamList::$page
lamList::$possibleSuffixes
lamList::$refresh
lamList::$sortColumn
lamList::$suffix
lamList::$type

### Inherited Methods

#### Class: lamList

lamList::lamList()
  Constructor
lamList::cmp_array()
  Compare function used for usort-method
lamList::listBuildFilter()
  Builds the regular expressions from the filter values.
lamList::listDoPost()
  Manages all POST actions (e.g. button pressed) for the account lists.
lamList::listDrawNavigationBar()
  Draws a navigation bar to switch between pages
lamList::listFilterAccounts()
  Removes all entries which do not fit to the filter.
lamList::listGetAttributeDescriptionList()
  Returns an hash array containing with all attributes to be shown and their descriptions.
lamList::listGetParams()
  Sets some internal parameters.
lamList::listPrintAdditionalOptions()
  Prints additional option fields for specific object types.
lamList::listPrintButtons()
  Prints the create, delete and PDF buttons.
lamList::listPrintHeader()
  Prints the HTML head.
lamList::listPrintJavaScript()
  Prints JavaScript code needed for mouse-over effects.
lamList::listPrintPDFButtons()
  Prints the PDF button bar.
lamList::listPrintTableBody()
  Prints the entry list
lamList::listPrintTableCellContent()
  Prints the content of a cell in the account list for a given LDAP entry and attribute.
lamList::listPrintTableHeader()
  Prints the attribute and filter row at the account table head
lamList::listPrintToolLinks()
  Prints the tool image links (e.g. edit and delete) for each account.
lamList::listRefreshData()
  Rereads the entries from LDAP.
lamList::listShowOUSelection()
  Prints a combobox with possible sub-DNs.
lamList::listSort()
  Sorts an account list by a given attribute
lamList::showPage()
  Prints the HTML code to display the list view.

### Class Details

[line 97]
Generates the list view.

#### Tags:

author: | Roland Gruber

[ Top ]

### Class Methods

### constructor lamSmbDomainList [line 105]

`lamList lamSmbDomainList( string $type)`

Constructor

#### Tags:

return: | list object

#### Parameters:

string | $type | account type

[ Top ]

Documentation generated on Sun, 04 Nov 2007 12:11:11 +0100 by phpDocumentor 1.4.0